Page loading, please wait...



The page still doesn't show? Click here
 
BOM Home Biet-O-Matic Forum
  Watched TopicsWatched Topics     FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Firefox-Erweiterung für Firefox 5 nutzbar?
Goto page Previous  1, 2
 
Post new topic   Reply to topic    Biet-O-Matic Forum Forum Index -> Patches, Mods & Tools
View previous topic :: View next topic  
Author Message
Anonymous
Guest





PostPosted: 22.08.2011 - 16:15    Post subject: Reply with quote

hmmmm... das sind wieder Könner unterwegs!
Ich wollte eigentlich nur wissen, wann die Version für FF6 kommt.
Das war nicht eilig gefragt. Denn ich kann ja mit der ganz normalen Windowsversion auch arbeiten.
Sollte auch kein Vorwurf sein!
Dass eine angepasste Version sofort nach Erscheinen von FF xxx kommt wäre wohl etwas viel verlangt.
Ich habe mal vor einigen Wochen gelesen, dass es ein Programm geben soll, mit dem man solche AddOn selbst anpassen kann.
Stimmt das?
Babalou
Back to top
B-O-M
Forum Admin
Forum Admin


Joined: 07 Sep 2004
Posts: 2132

PostPosted: 22.08.2011 - 16:34    Post subject: Reply with quote

Babalou2004 wrote:
Ich habe mal vor einigen Wochen gelesen, dass es ein Programm geben soll, mit dem man solche AddOn selbst anpassen kann.

wenn man nicht händisch die Versions-Kompatibilität in der XML-Datei des Addons editieren will (.XPI in ZIP-Programm öffnen), mag das 'Compatibility Reporter' Add-on eine Aktivierung direkt im Fx erlauben.

wenn's dann kracht nicht jammern, zumindest nicht hier Wink

Nobbi

_________________
kein Support per privatem Nachrichten-System oder eMail.
Back to top
View user's profile Send private message Visit poster's website
Anonymous
Guest





PostPosted: 22.08.2011 - 16:40    Post subject: Reply with quote

nein...nein... Da warte ich lieber bis Du das geändert hast! Smile
Babalou
Back to top
B-O-M
Forum Admin
Forum Admin


Joined: 07 Sep 2004
Posts: 2132

PostPosted: 22.08.2011 - 17:01    Post subject: Reply with quote

Babalou2004 wrote:
...bis Du das geändert...

michnix, Mæster ist der Master vom Add-on.

N.

_________________
kein Support per privatem Nachrichten-System oder eMail.
Back to top
View user's profile Send private message Visit poster's website
Anonymous
Guest





PostPosted: 22.08.2011 - 17:16    Post subject: Reply with quote

dann warte ich auf sein Können! Smile
Back to top
Anonymous
Guest





PostPosted: 22.08.2011 - 18:06    Post subject: Enter your phone number here Reply with quote

B-O-M wrote:
Mæster ist der Master vom Add-on.

Dann mag er sich hurtig ans Werken machen.

Im Moment steht nämlich nachstehendes im install.rdf von bom.xpi das ich mir zu Testzwecken gerade bei euch heruntergeladen hatte.

Nachdem er mir in einem anderen Thread mitgeteilt hat, dass es das Teil auf 7 hochgesetzt hat nachdem ich ihm gemeldet hatte, dass es mit 7.0a2 läuft wunderte es mich, dass 6 nicht gehen soll. Scheint sich eine böse Altsicherung eingeschlichen zu haben.

Vielleicht wartet er aber auch noch bis ich herausgefunden hat was die aktuelle Aurora 8.0a2 bei mir am Starten hindert, dann gibt's eine Rückmeldung ob er gleich auf 8 gehen kann, bis 7 funktioniert es tadellos.



---
...
Description RDF:about="rdf:#$8ALTa"
em:id="{ec8030f7-c20a-464f-9b0e-13a3a9e97384}"
em:minVersion="1.5"
em:maxVersion="3.*" />
</RDF>

---

@Babalou2004: Du musst wirklich nicht warten, einfach die bom.xpi mit 7-zip öffnen oder in bom.zip umbenennen und dann die install.rdf mit einem Texteditor wie Notepad++ öffen.

em:maxVersion="3.*" />
</RDF>

suchen und statt der 3 eine 7 schreiben, speichern, zip wieder in xpi umbenennen, have fun.

[edit by Admin: full quote trimmed]
Back to top
Mæster
Forum Admin
Forum Admin


Joined: 04 Sep 2004
Posts: 2105

PostPosted: 22.08.2011 - 18:45    Post subject: Reply with quote

Ich weisz nicht, wo jetzt das Problem liegt, das Addon von der BOM-Seite ist vorsorglich schon mal bis FF Version 7.x von mir freigegeben.

Quote:

Description RDF:about="rdf:#$8ALTa"
em:id="{ec8030f7-c20a-464f-9b0e-13a3a9e97384}"
em:minVersion="1.5"
em:maxVersion="3.*" />
</RDF>


Die Versionsangaben in der install.rdf laufen noch auf maxVersion=3.x, das spielt aber keine Rolle, denn in der update.rdf (welche auf dem BOM Server liegt) sieht die Sache schon wieder ganz anders aus Wink. FF nimmt automatisch die gröszte Angabe von beiden als die maszgebliche an.

Wem das jetzt zu technisch war:
Es ist alles in Ordnung, ihr braucht nichts manuell zu ändern. Der Hersteller eines Addons hat die Macht, euerm Firefox mitzuteilen, dasz die Versionkompatibilität des Addons erhöht wurde, auch wenn im installierten Addon selbst noch hornalte Kompatibilitätsangaben stecken.

_________________
Grusz,
Mæster.
Back to top
View user's profile Send private message Send e-mail AIM Address Yahoo Messenger
Anonymous
Guest





PostPosted: 28.08.2011 - 19:11    Post subject: Reply with quote

Mæster wrote:
Ich weisz nicht, wo jetzt das Problem liegt, das Addon von der BOM-Seite ist vorsorglich schon mal bis FF Version 7.x von mir freigegeben.
Ja das hast du mir mal so mitgeteilt, im Forum! Auf die Downloadseite hat es diese, mittlerweile überholte Versionsnummer, aber nicht geschafft ==> jeder unbedarfte DAU nimmt deshalb jetzt an es geht nur bis FF 5, den das ist der letzte Eintrag zur Versionshistorie vom 2011-06-16. – Daher kam dann wohl auch die Nachfrage, von mir übrigens nicht, ich hab dem Teil auf meinem Rechner längst vorsorglich mal 20 als Endnummer verpasst, sollte ne Weile für Ruhe sorgen, geht logischerweise bei der offiziellen Version nicht. Solltest du nach Änderung von update.rdf UND bom.xpi auf 8 ändern und schon hast du zweieinhalb Monate Ruhe.

Mæster wrote:
Die Versionsangaben in der install.rdf laufen noch auf maxVersion=3.x, das spielt aber keine Rolle, denn in der update.rdf (welche auf dem BOM Server liegt) sieht die Sache schon wieder ganz anders aus Wink. FF nimmt automatisch die gröszte Angabe von beiden als die maszgebliche an.

Wem das jetzt zu technisch war:
Es ist alles in Ordnung, ihr braucht nichts manuell zu ändern. Der Hersteller eines Addons hat die Macht, euerm Firefox mitzuteilen, dasz die Versionkompatibilität des Addons erhöht wurde, auch wenn im installierten Addon selbst noch hornalte Kompatibilitätsangaben stecken.
Da möchte ich, als alter Ketzer, doch ganz heftig widersprechen, du geht's vom Normalfall aus, beim Programmieren muss man sich aber gegen den 'Worst Case' absichern, Murphy is everywhere;-) und in dem funktioniert dein schönes Konstrukt eben nicht mehr.

Angenommen jemand hat sich alle Addons die er braucht um einen Firefox einzurichten vorher heruntergeladen und installiert jetzt auf einem Rechner der vorübergehend keinen Internetzugang hat, dann funktioniert das bei meiner Methode, Downloadfiles regelmäßig aktualisiert, sehr wohl bei deiner eben nicht, denn Firefox 6/7/8 stellt fest ist für 3 installiere ich nicht. Naja ich gebe zu bei mir schon, aber beim DAU der die Versionskontrolle nicht ausgeschaltet hat eben nicht. Steht da wie von mir vor vier Tagen über den Compatiblity Reporter gemeldet 8 statt 3 dann geht's eben in jedem Fall.

Nachdem ich ja weis wie schwer dir der Klick zum Text-Editor fällt hab ich hier mal ein bom.xpi das auf 8 steht mit angehängt brauchst nur zu nehmen und ins Downloadverzeichnis kopieren, update.rdf musst selbst anpassen.

Ist sich aber trojanisches XPI Wink, wenn du es nimmst musst du die Downloadseite anpassen, der dort genannte Standardpfad stimmt dann nämlich nicht mehr. Könnte man gleich zum Anlass nehmen und die halbgare Erklärung für Vista auf das seit zwei Jahren erhältliche Windows 7 erweitern und die Unterschiede bei 32- und 64-Bit darstellen, 64-Bit wird nämlich bisher unterschlagen.

Wobei der Nutzer das eigentlich sowieso nie nachschlagen müssen sollte.

Ich kopier dir da mal mal die noch relevanten Versionsnummern von Windows ein.

Windows 2000: NT 5.0
Windows XP: NT 5.1
Windows XP 64-bit: NT 5.2
--- ab hier endet der nationalsprachliche Nonsense
Windows Vista: NT 6.0
Windows 7: NT 6.1

diese freundlichen Zeilen

<script>
w=window.open("");
for(i in navigator){
w.document.write("<li>"+i+" = "+eval('navigator.'+i));
}
</script>

befördern folgendes zu Tage, zumindest auf einem Window 7 (x64) und Firefox 7 als ausführenden Browser.

appCodeName = Mozilla
appName = Netscape
appVersion = 5.0 (Windows)
language = de
mimeTypes = [object MimeTypeArray]
platform = Win32
oscpu = Windows NT 6.1; WOW64
vendor =
vendorSub =
product = Gecko
productSub = 20100101
plugins = [object PluginArray]
userAgent = Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0) Gecko/20100101 Firefox/7.0
cookieEnabled = true
onLine = true
buildID = 20110824172139
javaEnabled = function javaEnabled() { [native code] }
taintEnabled = function taintEnabled() { [native code] }
geolocation = [object GeoGeolocation]
registerContentHandler = function registerContentHandler() { [native code] }
registerProtocolHandler = function registerProtocolHandler() { [native code] }
mozIsLocallyAvailable = function mozIsLocallyAvailable() { [native code] }

Wenn ich nicht so ein fauler Hund wäre, der mittels Notepad++ einfach gezielt Strings über mehrere Dateien hinweg ersetzt ohne sie überhaupt zu öffnen und es mein Add-on wäre, dann würde mich davon

navigator.language

und

navigator.oscpu

interessieren und ich würde mir die Werte gezielt holen.

oscpu = Windows NT 6.1; WOW64

besagt ist ein Windows 7 und WOW64 weist auf eine 32-Bit-Anwendung auf einem 64-Bit System hin. ==> Möglicherweise sollte man als Pfad C:\\Program Files (x86)\\Biet-O-Matic" verwenden, das könnte man dann auch gezielt so eintragen.

Müsste man auch einmal bei jedem Browserstart erledigen, könnte ja ein Umzugs-Profil sein, bei dem in prefs.js noch Müll steht.


https://developer.mozilla.org/en/DOM/window.navigator.oscpu



bid-o-matic_ff8.0a2.png
 Description:
 Filesize:  20.3 KB
 Viewed:  13720 Time(s)

bid-o-matic_ff8.0a2.png



bom_mehr_pfade.png
 Description:
 Filesize:  25.48 KB
 Viewed:  13720 Time(s)

bom_mehr_pfade.png



bom.xpi
 Description:
bom.xpi bis FF 8
mit neuem Standardpfad "C:Program Files (x86)Biet-O-Matic", da es keine aktuellen Rechner ohne 64-Bit-System mehr gibt. Jedenfalls keinen außerhalb der Fasst-man-nicht-an-Klasse.
Geschwätzige Erklärung inklusive.

Download
 Filename:  bom.xpi
 Filesize:  13.89 KB
 Downloaded:  739 Time(s)

Back to top
Anonymous
Guest





PostPosted: 20.09.2011 - 18:00    Post subject: Schreiben wir die Versionsnummer fort ;-) 9.0a1 works Reply with quote

Add-on arbeitet auch mit FF 9

Wie weiter oben beschrieben vorgehen bis die Versionsnummer hier hochgesetzt wird.



bid-o-matic_ff9.0a1.png
 Description:
 Filesize:  21.22 KB
 Viewed:  13556 Time(s)

bid-o-matic_ff9.0a1.png


Back to top
Display posts from previous:   
Post new topic   Reply to topic    Biet-O-Matic Forum Forum Index -> Patches, Mods & Tools All times are GMT + 1 Hour
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group